﻿@model IEnumerable<Memberships.Areas.Admin.Models.ProductModel>
    @using Memberships.Areas.Admin.Models

@{
    ViewBag.Title = "Index";
}

<h2>Index</h2>

<p>
    @Html.Partial("_CreateButtonPartial")
</p>
<table class="table table-striped table-condensed">
    <tr class="success">
        <th>
            @Html.DisplayNameFor(model => model.Title)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Description)
        </th>        
        <th>
            @Html.DisplayNameFor(model => model.ProductLinkText)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.ProductType)
        </th>  
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.Title)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Description)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.ProductLinkText)
            (@{@Html.DisplayFor(modelItem => item.ProductLinkTextId)})
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.ProductType)
            (@{@Html.DisplayFor(modelItem => item.ProductTypeId)})
        </td>        
        @Html.Partial("_TableButtonPartial", new SmallButtonModel { Id = item.Id })
    </tr>
}

</table>
